当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 关于软件源代码安装的问题
帖子发表于 : 2008-04-08 21:21 
头像

注册: 2007-07-14 16:02
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
在进行编译安装的时候执行./config时经常会看到一些报错 .比如:
***********************************************
错误: Can’t find X includes. Please check your installation and add the correct paths!

原因:没有X的包含文件

解决:安装xlibs-dev即可
***********************************************
这里我有个疑问:
1\我看得懂报错,要下载x环境的包含文件,问题是我怎么知道需要安装的是XLIBS-DEV这个包呢?
我通过apt-cache search x |grep include(或者换成其他的关键字),根本就找不到这个包...
***********************************************
另外一个问题是,当我apt-get install 安装一些包的时候,提示
下列的软件包有不能满足的依赖关系:
libqt3-mt-dev: 依赖: libmng-dev (>= 1.0.3) 但是它将不会被安装
依赖: libqt3-mt (= 3:3.3.6-1ubuntu6.4) 但是 3:3.3.8really3.3.7-

1\而当我安装提示依赖的软件包时,又出现相同的提示,只不过是依赖的软件包换了下而已(每次只能从packages下载会deb的包来再安装).
2\另外的一个问题是,当我用apt-cache policy查看依赖的包的状态时,提示已经安装了阿,为什么在依赖关系里他还会出现?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-08 22:04 
头像

注册: 2006-05-03 0:39
帖子: 8273
地址: المريخ
送出感谢: 0 次
接收感谢: 1
1\我看得懂报错,要下载x环境的包含文件,问题是我怎么知道需要安装的是XLIBS-DEV这个包呢?
我通过apt-cache search x |grep include(或者换成其他的关键字),根本就找不到这个包...

这个有点技巧的,最好是用新立得软件包管理器而不是单纯命令行。开发用的包一般以dev结尾,库一般以lib开头或者带有lib字样,而且软件包的名字往往已经显示了它的内容是什么。靠直觉和经验找!


1\而当我安装提示依赖的软件包时,又出现相同的提示,只不过是依赖的软件包换了下而已(每次只能从packages下载会deb的包来再安装).

你可以先加上充足的软件源,apt-get update一次,然后再尝试重新安装。如果确实搞不定,可以用aptitude,它会聪明地解决依赖问题。

2\另外的一个问题是,当我用apt-cache policy查看依赖的包的状态时,提示已经安装了阿,为什么在依赖关系里他还会出现?

版本问题。


_________________
PHP是最好的语言!不服来战!


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-04-09 8:23 
头像

注册: 2007-07-14 16:02
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
但是如果是维护服务器,没有新利得管理器的话,只能在命令行下面安装了,这个时候就没有更好的办法搜索需要的安装包吗?


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-04-09 13:03 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
http://forum.ubuntu.org.cn/viewtopic.php?t=96210


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-04-10 16:03 
头像

注册: 2007-07-14 16:02
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
恩,依赖的问题我明白了。

现在还是不明白的就是需要安装的软件包的名字问题。难道真的只能品经验?没有什么技巧吗?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译